void recordset (p_record -w records[], int length, p_string dbase_file_name, index_file_name)
{
  do (ERR_* alarm)
  {
    idx_file = stdio:open (index_file_name);
    dbf_file = stdio:open (dbase_file_name);

    ...

  }  
  else       
  {
    ...
  }
  /
  {
    stdio:close (&dbf_file);
    stdio:close (&idx_file);
  }
}
